#FULLOBJLIST= Dev/Obj/main.o Dev/Obj/events.o Dev/Obj/wm.o Dev/Obj/render.o Dev/Obj/math.o
FULLOBJLISTPATH= Obj/main.o Obj/events.o Obj/wm.o Obj/render.o Obj/mouse_manager.o
FULLOBJLIST= main.o events.o wm.o render.o mouse_manager.o
GCCOPTS= --std=c11 -Werror
INCLUDEFLAG= -lpthread -lGL -lSDL2
3Dvix:$(FULLOBJLIST)
	gcc $(GCCOPTS) $(FULLOBJLISTPATH) -o 3Dvix $(INCLUDEFLAG)
main.o:main.c Events/events_manager.h WindowManager/wm_globals.h Render/context.h
	gcc $(GCCOPTS) -c main.c -o Obj/main.o
events.o:Events/events_manager.c Events/events_manager.h
	gcc $(GCCOPTS) -c Events/events_manager.c -o Obj/events.o $(IN CLUDEFLAG)
wm.o:WindowManager/wm_globals.c WindowManager/wm_globals.h
	gcc $(GCCOPTS) -c WindowManager/wm_globals.c -o Obj/wm.o $(INCLUDEFLAG)
mouse_manager.o:WindowManager/mouse_manager.c WindowManager/mouse_manager.h
	gcc $(GCCOPTS) -c WindowManager/mouse_manager.c -o Obj/mouse_manager.o $(INCLUDEFLAG)
render.o:Render/context.c Render/context.h
	gcc $(GCCOPTS) -c Render/context.c -o Obj/render.o $(INCLUDEFLAG)
#math.o:
run:
	./3Dvix
